# Interface ClusterMessage

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `SessionMessage`

All Known Implementing Classes:
  `ClusterMessageBase, FileMessage, SessionMessageImpl, UndeployMessage`

public interface ClusterMessage extends Serializable
Interface for messages exchanged between cluster nodes.

## Method Summary

Modifier and Type
Method
Description
`Member`
`getAddress()`
Returns the member associated with this message.
`long`
`getTimestamp()`
Returns the timestamp of this message.
`String`
`getUniqueId()`
Returns the unique identifier for this message.
`void`
`setAddress(Member member)`
Set the member associated with the message.
`void`
`setTimestamp(long timestamp)`
Set the timestamp for this message.

## Method Details

### getAddress

Member getAddress()
Returns the member associated with this message.

Returns:
  the member address

### setAddress

void setAddress(Member member)
Set the member associated with the message.

Parameters:
  `member` - the member

### getUniqueId

String getUniqueId()
Returns the unique identifier for this message.

Returns:
  the unique ID

### getTimestamp

long getTimestamp()
Returns the timestamp of this message.

Returns:
  the timestamp in milliseconds

### setTimestamp

void setTimestamp(long timestamp)
Set the timestamp for this message.

Parameters:
  `timestamp` - the timestamp